Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## bea.jolt.pool
Class SessionPoolException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--bea.jolt.JoltException
                              |
                              +--bea.jolt.SessionException
                                    |
                                    +--bea.jolt.pool.SessionPoolException

public class SessionPoolException
extends bea.jolt.SessionException

This exception is thrown when there is an error in the session pool. Refer to the BEA Jolt User Guide for information about `bea.jolt.SessionException`.

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class bea.jolt.JoltException
`TPEABORT, TPEBADDESC, TPEBLOCK, TPEDIAGNOSTIC, TPEEVENT, TPEHAZARD, TPEHEURISTIC, TPEINVAL, TPEIO, TPEITYPE, TPEJOLT, TPELIMIT, TPEMATCH, TPEMIB, TPENOENT, TPEOS, TPEOTYPE, TPEPERM, TPEPROTO, TPERELEASE, TPERMERR, TPESVCERR, TPESVCFAIL, TPESYSTEM, TPETIME, TPETRAN, TPGOTSIG`

Constructor Summary
`protected` | `SessionPoolException(int urcode, int errno, java.lang.Object s, java.lang.String msg)` Creates a `SessionPoolException` object with an error number, a diagnostic message, a nested exception and the object that threw the exception.
`protected` | `SessionPoolException(java.lang.String msg, java.lang.Exception e)` Creates a `SessionPoolException` object.

Methods inherited from class bea.jolt.SessionException
`getApplicationCode`

Methods inherited from class bea.jolt.JoltException
`getErrno, getObject, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionPoolException

    protected SessionPoolException(java.lang.String msg,
                                   java.lang.Exception e)

  Creates a `SessionPoolException` object.

  Parameters:
    `msg` - Diagnostic message or null
    `e` - null or a nested exception that causes this exception

### SessionPoolException

    protected SessionPoolException(int urcode,
                                   int errno,
                                   java.lang.Object s,
                                   java.lang.String msg)

  Creates a `SessionPoolException` object with an error number, a diagnostic message, a nested exception and the object that threw the exception.

  Parameters:
    `urcode` - Application return code.
    `errno` - Error number.
    `s` - Object that threw the exception
    `msg` - Diagnostic message
    `e` - null or a nested exception that causes this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD